package files;

/**
 * @author V. Mihashcenko
 * @version 1.0
 */

public class LinkedinAddressData
{
    private String address;
    private String country;
    private String city;
    private String longitude;
    private String latitude;
    private String code;
    private boolean mainOffice = false;

    public String getAddress() { return address; }
    public String getCountry() { return country; }
    public String getCity() { return city; }
    public String getCode() { return code; }
    public String getLongitude() { return longitude; }
    public String getLatitude() { return latitude; }
    public boolean isMainOffice() { return mainOffice; }

    public void setAddress(String address) { this.address = address; }
    public void setCountry(String country) { this.country = country; }
    public void setCity(String city) { this.city = city; }
    public void setCode(String code) { this.code = code; }
    public void setLongitude(String longitude) { this.longitude = longitude; }
    public void setLatitude(String latitude) { this.latitude = latitude; }
    public void setMainOffice(boolean mainOffice) { this.mainOffice = mainOffice; }

    @Override
    public String toString() {
        return "address = " + address +
                "; country = " + country +
                "; city = " + city +
                "; longitude = " + longitude +
                "; latitude = " + latitude +
                "; code = " + code +
                "; mainOffice = " + mainOffice;
    }

    public LinkedinAddressData(String address) { this.address = address; }
}
