package files;

import java.util.ArrayList;

/**
 * @author V. Mihashcenko
 * @version 1.0
 */

public class LinkedinData
{
    private String name;
    private String link;
    private String employeesRange;
    private String employeesNum;
    private String turnover;
    private String industry;
    private String bussinessTypes;
    private String number;
    private String email;
    private ArrayList<LinkedinAddressData> addressData = new ArrayList<>();

    public String getName() { return name; }
    public String getLink() { return link; }
    public String getEmployeesRange() { return employeesRange; }
    public String getEmployeesNum() { return employeesNum; }
    public String getTurnover() { return turnover; }
    public String getIndustry() { return industry; }
    public String getBussinessTypes() { return bussinessTypes; }
    public String getNumber() { return number; }
    public String getEmail() { return email; }
    public ArrayList<LinkedinAddressData> getAddressData() { return addressData; }

    public void setName(String name) { this.name = name; }
    public void setLink(String link) { this.link = link; }
    public void setEmployeesRange(String employeesRange) { this.employeesRange = employeesRange; }
    public void setEmployeesNum(String employeesNum) { this.employeesNum = employeesNum; }
    public void setTurnover(String turnover) { this.turnover = turnover; }
    public void setIndustry(String industry) { this.industry = industry; }
    public void setBussinessTypes(String bussinessTypes) { this.bussinessTypes = bussinessTypes; }
    public void setNumber(String number) { this.number = number; }
    public void setEmail(String email) { this.email = email; }

    public LinkedinData(String name) { this.name = name; }

    @Override
    public String toString()
    {
        StringBuilder result = new StringBuilder("");
        result.append("name = ").append(name).append("\n");
        result.append("link = ").append(link).append("\n");
        result.append("employeesRange = ").append(employeesRange).append("\n");
        result.append("employeesNum = ").append(employeesNum).append("\n");
        result.append("turnover = ").append(turnover).append("\n");
        result.append("industry = ").append(industry).append("\n");
        result.append("bussinessTypes = ").append(bussinessTypes).append("\n");
        result.append("number = ").append(number).append("\n");
        result.append("email = ").append(email).append("\n");
        for(int i = 0; i < addressData.size(); i++)
            result.append("[").append(i + 1).append(". ").append(addressData.get(i)).append("]");

        return result.toString();
    }
}
